package com.ruoyi.dxp.dto.redis;

import java.io.Serializable;

/**
 * 数据列对象
 */
public class RedisDataColumnDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String name;

    private String type;

    private Integer isSearchable;

    private Integer isRequired;

    private RedisDesensitizationRuleDto desensitizationRule;

    /** 过滤运算符：equal，,greaterThan,lessThan,greaterEqualThan,lessEqualThan */
    private String filterOperator;

    /** 过滤值 */
    private String filterValue;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getIsSearchable() {
        return isSearchable;
    }

    public void setIsSearchable(Integer isSearchable) {
        this.isSearchable = isSearchable;
    }

    public Integer getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Integer isRequired) {
        this.isRequired = isRequired;
    }

    public RedisDesensitizationRuleDto getDesensitizationRule() {
        return desensitizationRule;
    }

    public void setDesensitizationRule(RedisDesensitizationRuleDto desensitizationRule) {
        this.desensitizationRule = desensitizationRule;
    }

    public String getFilterOperator() {
        return filterOperator;
    }

    public void setFilterOperator(String filterOperator) {
        this.filterOperator = filterOperator;
    }

    public String getFilterValue() {
        return filterValue;
    }

    public void setFilterValue(String filterValue) {
        this.filterValue = filterValue;
    }
}
